* {
    text-decoration: none;
    margin: 0;
    padding: 0;
}

html, body {
    max-width: 100%;
    overflow-x: hidden;
}

span {
    color: teal;
    font-weight: 700;
    
}
.max-width {
    max-width: 100%;
    padding: 0 30px;
    margin: auto
}
    

/* Universal Styling */
section {
    padding: 100px 0;

}

.about, .offer, .projects, .contact {
    font-family: 'EB Garamond', serif;
}

.about .about-content, 
.projects .projects-content,
.offer .offer-content,
.contact .contact-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight:500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'EB Garamond', serif;
}

section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Frank Ruhl Libre', serif;
}

 /* Styling for Navbar */

.navbar {
    position: fixed;
    width: 100%;
    padding: 10px 0;
    z-index: 999;
    background: rgb(155, 155, 155);
    transition: all 0.9s;
    font-family: 'Frank Ruhl Libre', serif;
}

.navbar.sticky {
    padding: 25px 0;
    background: teal;
}

.navbar .max-width {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.navbar .logo {
    color: white;
    font-size: 30px;
    font-weight: 500;
}

.navbar .logo a span {
    color: teal;
    transition: .9s;
}

.navbar .sticky .logo a span {
    color: white;
}


.navbar .menu li {
    list-style: none;
    display: inline-block;
}

.navbar .menu li a{
    color: white;
    display: block;
    font-size: 16px;
    margin-left: 25px;
    transition: color .9s;
}

.navbar .menu li a:hover {
    color:teal;

}

.navbar.sticky .menu li a:hover {
    color: #fff;
}


.menu-btn {
    color: #fff;
    font-size: 22px;
    cursor: pointer;
}



/* Styling for Home */

.home {
    display: flex;
    background: url(./Assests/black-wallpapers.png) no-repeat center;
    height: 100vh;
    color: #ffffff;
    min-height: 500px;
    font-family: 'Frank Ruhl Libre', serif;

}

.home .home-content .ptext1 {
    font-size: 25px;
}

.home .home-content .ptext2 {
    font-size: 60px;
    font-weight: 600;
    margin-left: -3px;
}

.home .home-content .ptext3 {
    font-size: 40px;
    margin: 5px 0;
}


/* Styling for About Me */
section{
    padding: 100px 0;
}

.about {
    font-family: 'Frank Ruhl Libre', serif;

}

section .title {
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Frank Ruhl Libre', serif;

}

section .title::before {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 0px;
    padding: 5px;
    width: 180px;
    height: 3px;
    background: black;
    transform: translateX(-50%);
}

section .title::after {
    position: absolute;
    left: 50%;
    bottom: -7px;
    padding: 5px;
    font-size: 20px;
    color: teal;
    padding: 5px;
    background: white;
    transform: translateX(-50%);
}

.about .title::after{
    content: "This is me";
}

.about .about-content,
.offer .offer-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

}

.about .about-content .left{
    width: 45%;
}

.about .about-content .left img {
    height: 400px;
    width: 400px;
    object-fit: cover;
    border-radius: 6px;
}

.about .about-content .right{
    width: 55%;
}

.about .about-content .right .text {
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
}

.about .about-content .right p {
    text-align: justify;
}

.about .about-content .right a{
    text-align: justify;
    display: inline-block;
    background: teal;
    color: white;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border:2px solid teal;
    transition: all 0.7 ease;
}

.about .about-content .right a:hover {
    color: teal;
    background: none;
}
/* Offerings */
.offer{
    background: rgb(48, 48, 48);
    color: white;
}
.offer .title::before {
    background: white;

}
.offer .title::after{
    background: rgb(48, 48, 48);
    content: "What I can offer you";
    
}

.offer .offer-content .card{
    width: calc(33% - 20px);
    background: #222;
    border-radius: 7px;
    padding: 20px 25px;
    cursor: pointer;
    text-align: center;
    transition: all 0.7s ease;
}

.offer .offer-content .card i{
    font-size: 50px;
    color: rgb(2, 186, 186);
}
.offer .offer-content .card .text {
    font-size: 25px;
    font-weight: 400;
    margin: 10px 0 7px;
    color: teal;
}

.offer .offer-content .card .box {
    transition: all 0.7s ease;
}

.offer .offer-content .card:hover .box {
    transform: scale(1.10);

}

/* Project */

.projects-slider{
    position: relative;

}

.projects-slider .slider-title {
    text-align: center;
    margin: 30px auto;
}

.projects-slider .next {
    position: absolute;
    top: 50%;
    right: 30px;
    font-size: 2em;
    color: teal;
    cursor: pointer;
}

.projects-slider .prev {
    position: absolute;
    top: 50%;
    left: 30px;
    font-size: 2em;
    color: teal;
    cursor: pointer;

}


.projects-slider .projects-wrapper {
    width: 84%;
    height: 350px;
    margin: 0px auto;
    overflow: hidden;
    padding: 10px 0px 10px 0px;
}


.projects-slider .projects-wrapper .projects {
    width: 300px;
    height: 330px;
    margin: 0px 10px;
    display: inline-block;
    background: white;
    border-radius: 5px;
    box-shadow: 1rem 1rem 1rem -1rem rgb(120, 120, 120);
} 



.projects-slider .projects-wrapper .projects .slider-image {
    width: 100%;
    height: 200px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    
}



/* Contact Me Styling */
.contact{
    background: rgb(48, 48, 48);
    color: white;
}
.contact .title::after{
    content: "Reach Out To Me";
    position: absolute;
    left: 50%;
    bottom: -7px;
    padding: 5px;
    font-size: 20px;
    color: teal;
    padding: 5px;
    background: rgb(48, 48, 48);
    transform: translateX(-50%);
}
.contact .contact-content .column{ 
    width:calc(50% - 30px);

}

.contact .contact-content .text {
    font-size: 20px;
    margin-bottom: 12px;
    font-weight: 600;
}

.contact .contact-content .left p{
    text-align: justify;
}

.contact .contact-content .row {
    display: flex;
    height: 65px;
    align-items: center;
}

.contact .contact-content .row .info {
    margin-left: 30px;
}

.contact .contact-content .info i {
    font-size: 26px;
    color: teal;
}
.contact .contact-content .left .icons {
    margin: 15px 0;
}

.contact .contact-content .row i {
    font-size: 20px;
    color: teal;
}

.contact .contact-content .info .sub-title{
    color: rgb(255, 255, 255);
}

.contact .contact-content .info .sub-title a{
    color: rgb(1, 201, 201);
    text-decoration: underline;
}

.contact .contact-content .info .sub-title a:hover {
    color: rgb(58, 58, 250);
}
.contact .contact-content .info .head{
    font-weight: 500;
}

.contact .right form .field {
    display: flex;
}

.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}
.contact .right form .textarea{
    height: 80px;
    width: 100%;
}
.contact .right form .name {
    margin-right: 10px;
}

.contact .right form .email {
    margin-right: 10px;
}

.contact .right form .field input,
.contact .right form .textarea textarea{
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 6px;
    outline: none;
    padding: 0 15px;
    font-size: 17px;
    font-family: 'EB Garamond', serif;
}

.contact .right form .textarea textarea{
    padding-top: 10px;
    resize: none;
}

.contact .right form .button{
    height: 45px;
    width: 200px;
    
}

.contact .right form .button button{
    width: 100%;
    height: 100%;
    border: 2px solid teal;
    background: teal;
    color: white;
    font-size: 20px;
    font-weight: 400;
    border-radius: 6px;
    transition: all 0.7 ease;
}

.contact .right form .button button:hover {
    color:teal;
    background: none;
}


/* Mobile Responsiveness */
@media (max-width: 1300px){
    .home .max-width {
        margin-left: 0px;
    }
@media (max-width: 1104px){
    .about .about-content .left img {
        height: 350px;
        width: 350px;
    }
@media (max-width: 993px){
    .max-width {
        padding: 0 50px;
    }

    .menu-btn {
        display: block;
        z-index: 999;
    }

    .menu-btn i.active::before {
        content: "\f00d" ;
    }

    .navbar .menu {
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100;
        top: 0;
        background: black;
        text-align: center;
        padding-top: 80px;
        transition: all 0.7s ease;
    }

    .navbar .menu.active {
        display: block;
    }

    .navbar .menu li{
        display: block;
    }

    .navbar .menu li a{
        display: inline-block;
        margin:20 0;
        font-size: 25px;
    }

    .home .home-content .ptext2 {
        font-size: 70px;
    }

    .home .home-content .ptext3 {
        font-size: 35px;
    }

    .home .home-content a {
        font-size: 23px;
        padding: 10px 30px;
    }

    .max-width{
        max-width: 800px;
    }

    .about .about-content .column {
        width: 50%;
    }

    .about .about-content .column .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;

    }

    .about .about-content .right{
        flex: 100%;
    }

   .offer .offer-content .card {
       width: 100%;

   } 


}
}
}